scala.RandomAccessSeq
trait Mutable

[source: `scala/RandomAccessSeq.scala`]

`` `trait` Mutable[A]
  `extends` RandomAccessSeq[A]

  A random access sequence that supports update (e.g., an array)

Direct Known Subclasses:
  Array, RandomAccessSeq.MutableProjection, ArrayList, ArrayBuffer, BoxedArray, RichStringBuilder

Method Summary
`override def` | drop (from : Int) : Mutable[A] Returns this sequence without its `n` first elements If this sequence has less than `n` elements, the empty sequence is returned. (non-strict)
`override def` | projection : MutableProjection[A] returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.
`def` | readOnly : RandomAccessSeq[A]
`override def` | reverse : Mutable[A] A sequence consisting of all elements of this sequence in reverse order.
`override def` | slice (from : Int, until : Int) : Mutable[A] A sub-sequence of `len` elements starting at index `from` (non-strict)
`override def` | take (until : Int) : Mutable[A] Returns a sequence consisting only over the first `n` elements of this sequence, or else the whole sequence, if it has less than `n` elements. (non-strict)
`abstract def` | update (idx : Int, what : A) : Unit Update the element at given index. Indices start a `0`; `xs.apply(0)` is the first element of mutable sequence `xs`. Note the indexing syntax `xs(i) = x` is a shorthand for `xs.update(i, x)`.

Methods inherited from RandomAccessSeq
elements, ++, toStream, safeIs

Methods inherited from Seq
length (abstract), size, isEmpty, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, map, flatMap, filter, takeWhile, dropWhile, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString, stringPrefix

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
apply (abstract), compose

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf